classification
Title: extend py_compile to compile files from stdin
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.2, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, doko, eric.araujo, piotr
Priority: normal Keywords: patch

Created on 2010-03-25 20:30 by piotr, last changed 2010-12-16 06:29 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
py_compile.py.diff piotr, 2010-03-25 20:30 patch against trunk (python2.7)
py_compile.py.diff piotr, 2010-03-25 20:31 patch against py3k
Messages (4)
msg101730 - (view) Author: Piotr Ożarowski (piotr) Date: 2010-03-25 20:30
Following issue 8140 - attached patches add functionality to take file names to be compiled from standard input in py_compile module (if '-' is the only parameter in args)
msg102032 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-31 21:07
Slightly modified, patch committed to trunk in r79533
msg102034 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-03-31 21:36
r79536 in py3k
msg124109 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-16 06:29
Missing doc added in r87312 and r87311.
History
Date User Action Args
2010-12-16 06:29:23eric.araujosetnosy: + eric.araujo
messages: + msg124109
2010-03-31 21:36:43barrysetstatus: open -> closed

messages: + msg102034
2010-03-31 21:07:38barrysetkeywords: + patch, - needs review

messages: + msg102032
2010-03-31 12:56:06dokosetkeywords: + needs review, - patch
2010-03-31 12:55:50dokosetnosy: + doko
2010-03-25 20:57:13barrysetassignee: barry
2010-03-25 20:31:07piotrsetfiles: + py_compile.py.diff
2010-03-25 20:30:38piotrcreate